:root {
    --bodyB-color: #ffffff; /* 页面的背景颜色*/
    --text-color: #1f2937; /* 默认文字的颜色*/

    --alink-color: #0257e2; /* 默认接链的颜色*/
    --ahover-color: #fe0511; /* 默认接链鼠标移上去的颜色*/

    --logo-color: #000000; /*页头商标文字的颜色*/
    --navbarB-color: #ffffff; /* 页头的背景颜色*/
    --navbarshadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* 页头的阴影效果*/

    --navSearch-color: #ffffff; /* 页头搜索的颜色*/
    --navSearchb-color: #fb0f41; /* 页头搜索的背景颜色*/
    --navSearchoverb-color: #0153fb; /* 页头搜索按钮鼠标移上去的背景颜色*/
    --searchT-color: #fe0511; /* 搜索条件的颜色*/

    --MHead-color: #fe0511; /* 中部大标题字体色*/
    --MHeadbtom-color: #3b82f6; /* 中部大标题下面的色*/

    --card5b-color: #ffffff; /* 卡片的背景颜色1行5列*/
    --card5shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* 卡片的阴影效果1行5列*/
    --card5shadowhover: 0 4px 6px rgba(0, 0, 0, 0.1); /* 鼠标移上去卡片的阴影效果1行5列*/

    --cardComb-color: #ffffff; /* 公司卡片的背景颜色*/
    --cardComshadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* 公司卡片的阴影效果*/

    --card2b-color: #ffffff; /* 卡片的背景颜色1行2列*/
    --card2Date-color: #7f8c8d; /* 卡片默认接链的颜色1行2列*/
    --card2excerpt-color: #555555; /* 卡片默认接链的颜色1行2列*/
    --card2shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* 卡片的阴影效果1行2列*/

    --pageL-color: #3498db; /* 分页的反色1*/
    --pageLb-color: #ffffff; /* 分页的反色2*/

    --gray-color: #94a3b8; /* 页脚文字的颜色*/
    --dark-color: #27354b; /* 页脚背景色*/
    --Footalink-color: #ffffff; /* 页脚接链的颜色*/

    --grey-color: #777777; /* 默认的灰色*/

    --light2-color: #f8fafc;
    --primary-color: #ffffff;
    --secondary-color: #fbfafb;
    --light-color: #3b82f6;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Noto Sans CJK SC", "Noto Sans CJK TC", "SimSun", "Microsoft YaHei",'Segoe UI', system-ui, STHeiti,sans-serif;
}

body {
    background-color: var(--bodyB-color);
    color: var(--text-color);
    line-height: 1.6;
    overflow-x: hidden;
}

a:link {
    text-decoration: none;
    color: var(--alink-color);
}

a:hover {
    text-decoration: none;
    color: var(--ahover-color);
}

.hide {
    display: none;
}

.show {
    display: block;
}
.divclear {
    clear: both;
    line-height: 1px;
    height: 0px;
    font-size: 0px;
}
h1 {
    font-size: 1.8rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.2rem;
}

/* 导航菜单 */
.navbar {
    background: var(--navbarB-color);
    padding: 0.5rem 0.2rem;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: var(--navbarshadow);
}

.nav-container {
    max-width: 1920px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    height: 1.5rem;
    color: var(--logo-color);
    font-size: 1.2rem;
    font-weight: bold;
    text-decoration: none;
    text-align: left;
    display: none;
}

.logoimg {
    height: 3rem;
    display: block;
}

.nav-menu {
    display: flex;
    list-style: none;
}

.nav-item {
    margin-left: 0.2rem;
    position: relative;
}

.nav-link {
    color: var(--alink-color);
    text-decoration: none;
    padding: 0.5rem;
    border-radius: 0.5rem;
    display: block;
    position: relative;
    overflow: hidden;
}

    .nav-link::before {
        content: '';
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
    }

    .nav-link:hover {
        color: var(--ahover-color);
    }

        .nav-link:hover::before {
            left: 0;
        }

.nav-linkon {
    color: var(--ahover-color);
    text-decoration: none;
    padding: 0.5rem;
    border-radius: 0.5rem;
    display: block;
    position: relative;
    overflow: hidden;
}

.nav-link2 {
    color: var(--alink-color);
    text-decoration: none;
    padding: 0.5rem;
    display: block;
    position: relative;
    overflow: hidden;
}

.MarginL3 {
    margin-left: 2rem;
}

.hamburger {
    display: none;
    cursor: pointer;
    font-size: 1.5rem;
}

/*搜索按钮*/
.rounded-button {
    background-color: var(--navSearchb-color);
    color: var(--navSearch-color);
    border: none;
    border-radius: 1rem;
    padding: 0.3rem 1rem;
    cursor: pointer;
    font-family: sans-serif;
}

.rounded-button:hover {
    background-color: var(--navSearchoverb-color);
}

.rounded-input {
    padding: 0.3rem 1rem;
    border: 1px solid #ddd;
    border-radius: 1rem;
    outline: none;
    width: 7rem;
}

.rounded-input:focus {
    border-color: var(--navSearchb-color);
}

.search-T {
    margin: 0;
    padding: 1rem;
    font-size: 1.25rem;
    font-weight: 600;
}

.search-Ti {
    color: var(--searchT-color);
    padding: 0.5rem;
}

/* 轮播图 */
.slider-container {
    max-width: 1920px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    height: 800px;
}

.slider {
    display: flex;
    width: 300%;
    height: 100%;
    transition: transform 0.8s ease-in-out;
}

.slide {
    width: 33.333%;
    height: 100%;
    position: relative;
}

    .slide img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.TBcList {
    padding: 2px;
    margin-left: 10px;
}

    .TBcList a {
        padding: 2px;
        margin-left: 10px;
    }
/*1行2列*/
.Item-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    margin-bottom: 10px;
}

.Item-card {
    background: var(--card2b-color);
    border-radius: 5px;
    overflow: hidden;
    box-shadow: var(--card2shadow);
    transition: transform 0.3s ease;
    display: flex;
    min-height: 200px;
}

    .Item-card:hover {
        transform: translateY(-2px);
    }

.Item-image {
    max-width: 17rem;
    max-height: 17rem;
    object-fit: contain;
    transition: transform 0.3s ease;
}

.Item-content {
    flex: 1;
    padding: 3px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.Item-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 10px;
}

.Item-date {
    color: var(--card2Date-color);
    font-size: 1rem;
    margin-bottom: 10px;
}

.Item-excerpt {
    color: var(--card2excerpt-color);
    font-size: 1rem;
    margin-bottom: 20px;
}

.Item-Descr {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 5px;
}

.Item-Types {
    font-size: 1rem;
    margin-bottom: 5px;
}
/*分页*/
.pagination {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    flex-wrap: wrap;
}

.page-item {
    margin: 0 3px;
}

.page-link {
    display: block;
    padding: 5px 10px;
    background: var(--pageLb-color);
    border: 1px solid #ddd;
    color: var(--pageL-color);
    text-decoration: none;
    border-radius: 2px;
    transition: all 0.3s;
}

    .page-link:hover {
        background: var(--pageL-color);
        color: var(--pageLb-color);
        border-color: var(--pageL-color);
    }

    .page-link.active {
        background: var(--pageL-color);
        color: var(--pageLb-color);
        border-color: var(--pageL-color);
    }

/*公司卡片*/
.container {
    max-width: 1600px;
    margin: 0 auto;
    padding: 0 1rem;
}

.content-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(600px, 1fr));
    gap: 3rem;
    margin: 5rem 0;
}

.card {
    background: var(--cardComb-color);
    border-radius: 8px;
    padding: 1rem;
    box-shadow: var(--cardComshadow);
    opacity: 0;
    transform: translateY(10px);
    transition: all 0.8s cubic-bezier(0.22, 1, 0.36, 1);
}

.card-left {
    transform: translateX(-10px);
}

.card-right {
    transform: translateX(10px);
}

.card-visible {
    opacity: 1;
    transform: translate(0, 0);
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 10px rgba(0,0,0,0.12);
}

.ContactLinksT {
    padding: 0.5rem 1rem;
}

/* 展示 */
.section {
    max-width: 1600px;
    margin: 0.5rem auto;
    padding: 0 1rem;
}

.section-title {
    text-align: center;
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
    color: var(--MHead-color);
    position: relative;
}

    .section-title::after {
        content: '';
        display: block;
        width: 6.5rem;
        height: 0.4rem;
        background: var(--MHeadbtom-color);
        margin: 1rem auto 0;
    }

/*1行5列*/
.product-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 0.5rem;
}

.product-card {
    background: var(--card5b-color);
    border-radius: 0.5rem;
    overflow: hidden;
    box-shadow: var(--card5shadow);
    transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
    position: relative;
}

    .product-card:hover {
        transform: translateY(-2px);
        box-shadow: var(--card5shadowhover);
    }

.product-img-container {
    width: 100%;
    height: 16.6rem;
    overflow: hidden;
    position: relative;
}

.product-img {
    max-width: 16.5rem;
    max-height: 16.5rem;
    object-fit: cover;
    transition: all 0.4s ease;
}

.product-card:hover .product-img {
    transform: scale(1.2);
}

.product-info {
    padding: 0.5rem;
    text-align: center;
}

.product-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 1rem;
    margin-bottom: 0.3rem;
    padding: 3rem 0rem;
}


/*资讯*/
.Info-Content {
    margin: 0.5rem;
    padding: 1rem;
}

.Info-ConT {
    text-align: center;
    padding: 0.5rem;
    font-size: 1.5rem;
    font-weight: bold;
}

.Info-titleH {
    margin: 0;
    padding: 1rem;
    color: var(--grey-color);
}

.Info-titleF {
    margin: 0;
    padding: 0.5rem 1rem;
}

.Info-titleF a {
    color: var(--alink-color);
    text-decoration: none;
    transition: var(--transition);
}

/*产品页*/
.goods-Content {
    width: 100%;
    margin: 0.5rem;
    padding: 1rem;
}
.goods-Content img {
    max-width: 100%;
    height: auto;
}
.maPVBlgCont video {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.goods-ConT {
    width: 100%;
    text-align: center;
    padding: 0.5rem;
    font-weight: bold;
    background: linear-gradient(135deg, #ad63fd 0%, #4388fe 50%);
    color: white;
    padding: 6px 12px;
}

.Paramdecorated {
    width: 100%;
    background: #e0eefd;
    color: #990000;
    font-size: 1.5rem;
    font-weight: bold;
    padding: 5px 12px 5px 16px;
    border-left: 18px solid #0d6efd; /* 蓝色强调条 左侧装饰条（常用于强调） */
    display: inline-block;
}

.goods-Param {
    position: relative;
    padding: 0.2rem;
    background: #f4f8fc;
}

.goods-Param .Paraml {
    font-weight: bold;
    color: #666666;
}

.goods-Param .Paramr {
    margin-left: 1rem;
    font-weight: bold;
    color: #050505;
    background: linear-gradient(45deg, #032bf9, #f305f6);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.goods-Details {
    width: 100%;
    margin-top: 0.5rem;
    background: #f1f4f6;
    color: #333333;
    font-size: 1.5rem;
    font-weight: bold;
    padding: 5px 12px 5px 16px;
    border-left: 18px solid #990000;
    display: inline-block;
}

.goods-titleH {
    margin: 0;
    padding: 1rem;
}

.goods-titleF {
    margin: 0;
    padding: 0.5rem 1rem;
}

    .goods-titleF a {
        color: var(--alink-color);
        text-decoration: none;
        transition: var(--transition);
    }
/* 页脚样式 */
footer {
    background-color: var(--dark-color);
    color: var(--gray-color);
    padding: 1rem 0.5rem;
    text-align: center;
}

.footer-content {
    max-width: 1400px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.footer-column h3 {
    margin-bottom: 1rem;
    font-size: 1rem;
}

.footer-column ul {
    list-style: none;
}

.footer-column li {
    margin-bottom: 0.5rem;
}

.footer-column a {
    color: var(--Footalink-color);
    text-decoration: none;
    transition: var(--transition);
}

    .footer-column a:hover {
        color: var(--ahover-color);
    }

.copyright {
    margin-top: 1rem;
    padding-top: 0.5rem;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    color: var(--gray-color);
}

    .copyright a {
        color: var(--Footalink-color);
        text-decoration: none;
    }

        .copyright a:hover {
            color: var(--ahover-color);
        }

/* 响应式设计 */

@media (max-width: 1750px) {
    .slider-container {
        height: 729px;
    }
}

@media (max-width: 1600px) {
    .slider-container {
        height: 666px;
    }
}

@media (max-width: 1440px) {
    .slider-container {
        height: 600px;
    }
}

@media (max-width: 1280px) {
    .slider-container {
        height: 533px;
    }

    .product-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 1200px) {
    .slider-container {
        height: 500px;
    }

    .product-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 1080px) {
    .slider-container {
        height: 450px;
    }

    .product-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 1024px) {
    .slider-container {
        height: 426px;
    }

    .logoimg {
        height: 1rem;
        display: none;
    }

    .logo {
        height: 1.4rem;
        display: block;
    }

    .nav-container {
        flex-direction: column;
    }

    .nav-menu {
        margin-top: 1rem;
        flex-wrap: wrap;
        justify-content: center;
    }

    .nav-item {
        margin: 0.1rem;
    }

    .product-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .slide-content {
        left: 2rem;
        bottom: 2rem;
        max-width: 80%;
    }

    .hamburger {
        display: block;
    }
}

@media (max-width: 768px) {
    .slider-container {
        height: 320px;
    }

    .logoimg {
        height: 1rem;
        display: none;
    }

    .logo {
        height: 1.2rem;
        display: block;
    }

    .nav-container {
        flex-direction: column;
    }

    .nav-menu {
        margin-top: 1rem;
        flex-wrap: wrap;
        justify-content: center;
    }

    .nav-item {
        margin: 0.1rem;
    }

    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .hamburger {
        display: block;
    }
}

@media (max-width: 600px) {
    .slider-container {
        height: 250px;
    }

    .logoimg {
        height: 1rem;
        display: none;
    }

    .logo {
        height: 1.2rem;
        display: block;
    }

    .nav-container {
        flex-direction: column;
    }

    .nav-menu {
        margin-top: 1rem;
        flex-wrap: wrap;
        justify-content: center;
    }

    .nav-item {
        margin: 0.1rem;
    }

    .product-img-container {
        height: 14rem;
        overflow: hidden;
        position: relative;
    }

    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .hamburger {
        display: block;
    }

    .container {
        max-width: 470px;
        margin: 0 auto;
        padding: 0 1rem;
    }

    .content-grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
        gap: 0.5rem;
        margin: 1rem 0;
    }

    .footer-content {
        max-width: 600px;
        margin: 0 auto;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }
}

@media (max-width: 480px) {
    .slider-container {
        height: 200px;
    }

    .logoimg {
        height: 1rem;
        display: none;
    }

    .logo {
        height: 1.1rem;
        display: block;
    }

    .nav-container {
        flex-direction: column;
    }

    .nav-menu {
        margin-top: 0.8rem;
        flex-wrap: wrap;
        justify-content: center;
    }

    .nav-item {
        margin: 0.1rem;
    }

    .product-img-container {
        height: 18rem;
        overflow: hidden;
        position: relative;
    }

    .product-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .hamburger {
        display: block;
    }

    .container {
        max-width: 350px;
        margin: 0 auto;
        padding: 0 0.8rem;
    }

    .content-grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
        gap: 0.5rem;
        margin: 0.8rem 0;
    }

    .footer-content {
        max-width: 480px;
        margin: 0 auto;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 1rem;
    }
}
